Unsets the value at the specified $index

- « SplFixedArray::offsetSet

- SplFixedArray::rewind »

- PHP Manual
- SplFixedArray
- Unsets the value at the specified $index

# SplFixedArray::offsetUnset

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplFixedArray::offsetUnset — Unsets the value at the specified $index

### Description

public SplFixedArray::offsetUnset(int `$index`): void

Unsets the value at the specified index.

### Parameters

`index`

  The index being unset.

### Return Values

No value is returned.

### Errors/Exceptions

Throws RuntimeException when `index` is outside the defined size of the array or when `index` cannot be parsed as an integer.